Name:          nss-pam-ldapd
Version:       0.9.13
Release:       1mamba
Summary:       A Name Service Switch (NSS, nsswitch) module for LDAP server
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://arthurdejong.org/nss-pam-ldapd/
Source:        https://arthurdejong.org/nss-pam-ldapd/nss-pam-ldapd-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgssapi-devel
BuildRequires: libopenldap-devel
BuildRequires: libpam-devel
## AUTOBUILDREQ-END
Provides:      libnss_ldap <= 266
Obsoletes:     libnss_ldap <= 266
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
nss-pam-ldapd provides a Name Service Switch (NSS, nsswitch) module that allows your LDAP server to provide user account, group, host name, alias, netgroup, and basically any other information that you would normally get from /etc flat files or NIS. It also provides a Pluggable Authentication Module (PAM) to do identity and authentication management with an LDAP server on unix systems. 

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      pam_ldap
Obsoletes:     pam_ldap <= 186-4mamba

%description -n lib%{name}
This package contains shared libraries for %{name}.


%prep
%setup -q

%build
%configure \
   --with-pam-seclib-dir=%{_libdir}/security \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_sysconfdir}/nslcd.conf
%{_bindir}/chsh.ldap
%{_bindir}/getent.ldap
%{_sbindir}/nslcd
%dir %{_datadir}/nslcd-utils
%{_datadir}/nslcd-utils/*.py
%dir %{_datadir}/nslcd-utils/__pycache__
%{_datadir}/nslcd-utils/__pycache__/*.pyc
%{_mandir}/man1/chsh.ldap.1*
%{_mandir}/man1/getent.ldap.1*
%{_mandir}/man5/nslcd.conf.5*
%{_mandir}/man8/nslcd.8*
%{_mandir}/man8/pam_ldap.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libnss_ldap.so.*
%{_libdir}/security/pam_ldap.so
%doc AUTHORS COPYING

%changelog
* Mon Feb 10 2025 Automatic Build System <autodist@openmamba.org> 0.9.13-1mamba
- automatic version update by autodist

* Sat Feb 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.12-2mamba
- provide/obsolete pam_ldap

* Sat Dec 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.12-1mamba
- package created using the webbuild interface
